#pragma once

#ifndef __sampleboxgame_h__
	#define __sampleboxgame_h__

#include <samplegame.h>

class SampleBoxGame : public SampleGame
{
public:
	SampleBoxGame();

	virtual void initialize();
	virtual void release();
	virtual void input(GxF32 elapsedTime);
	virtual void update(GxF32 elapsedTime);
	virtual void render(GxF32 elapsedTime);

protected:
	PxRigidDynamic* boxActor;

	Mesh* boxMesh;
	Mesh* planeMesh;
};

#endif /* __sampleboxgame_h__ */